FROM node:20-alpine

RUN mkdir -p /home/node/app/node_modules && chown -R node:node /home/node/app
RUN mkdir -p /hvacker-saves && chown -R node:node /hvacker-saves
RUN mkdir -p /secrets && chown -R node:node /secrets

WORKDIR /home/node/app

COPY package*.json ./

USER node

RUN npm ci

COPY --chown=node:node . .
RUN mv /home/node/app/hvackerconfig.json /secrets

EXPOSE 3001

CMD ["npm", "start"]
